Show / Hide Table of Contents

# Struct IOPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: imnodesNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct IOPtr

### Constructors

| Improve this Doc View Source

#### IOPtr(IO*)

##### Declaration

    public IOPtr(IO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
IO* | nativePtr |

| Improve this Doc View Source

#### IOPtr(IntPtr)

##### Declaration

    public IOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### emulate_three_button_mouse

##### Declaration

    public readonly ref EmulateThreeButtonMouse emulate_three_button_mouse { get; }

##### Property Value

Type | Description
--- | ---
EmulateThreeButtonMouse |

| Improve this Doc View Source

#### link_detach_with_modifier_click

##### Declaration

    public readonly ref LinkDetachWithModifierClick link_detach_with_modifier_click { get; }

##### Property Value

Type | Description
--- | ---
LinkDetachWithModifierClick |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly IO*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
IO* |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(IO* to IOPtr)

##### Declaration

    public static implicit operator IOPtr(IO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
IO* | nativePtr |

##### Returns

Type | Description
--- | ---
IOPtr |

| Improve this Doc View Source

#### Implicit(IOPtr to IO*)

##### Declaration

    public static implicit operator IO*(IOPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
IOPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
IO* |

| Improve this Doc View Source

#### Implicit(IntPtr to IOPtr)

##### Declaration

    public static implicit operator IOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
IOPtr |